import java.net.IDN;

public class IDNDemo {
    public static void main(String[] args) {
        // An internationalized domain name
        String input = "www.brndendekrlighed.com";
        // Convert to ASCII
        String ascii = IDN.toASCII(input);
        // convert to Unicode
        String unicode = IDN.toUnicode(input);

        // Print to console
        print("Input", input);
        print("toAscii(input)", ascii);
        print("toUnicode(input)", unicode);
    }
    
    private static void print(String mode, String text) {
        System.out.println("Mode       : " + mode);
        System.out.println("Text       : " + text);
        System.out.println("Code Points: " + getCodePoints(text));
        System.out.println("--------------------------------------");
    }

    // Returns unicode value (in hexadecimal) of each character
    // in the specified String
    private static String getCodePoints(String s) {
        StringBuilder sb = new StringBuilder();
        char[] chars = s.toCharArray();
        for (int i = 0; i < chars.length; i++) {
            int codePoint = Character.codePointAt(chars, i);
            String hex = Integer.toHexString(codePoint);
            sb.append(hex + " ");
        }
        return sb.toString();
    }
}
